// naumann@stce.rwth-aachen.de
#include <iostream>
#include "F.hpp"

int main() {
  AT x=1.5, y;
  AM::global_tape=AM::tape_t::create(); // enable recording of tape
  inspect("1");
  AM::global_tape->register_variable(x); // register independent variables
  y=F(x); // record tape
  inspect("4");
  dco::derivative(y)=1; // seed 
  AM::global_tape->interpret_adjoint(); // interpret tape
  inspect("5");
  std::cout << dco::value(y) << ' ' << dco::derivative(x) << std::endl; // harvest
  AM::tape_t::remove(AM::global_tape); // remove tape
  return 0;
}
