#pragma once
#include <cmath>

template <typename T, typename Tp>
T f1(const T& x, const Tp& p) { 
  // return p*x; // A
  return exp(-p*x); // B
}

template <typename T, typename Tp>
T f2(const T& x, const Tp& p) { 
  return p*x; // C
  // return cos(p*x); // D 
}
